Subject: Re: improvements to lha

From: [email-masked] (Haruhiko Okumura)
Date: Fri, 22 Jan 1993 01:31:45 GMT

Thanks for the many ideas to improve LHA.  I'm aware that hashing will
make LHA faster.  In fact there was an archiver (before ARJ and ZIP),
written by a Japanese (in Z80 assembler!), that mimicked LHA's
algorithm but used hashing.

As Dan Halem has mentioned, the idea by Leonid A. Broukhis reminded me
of Bender and Wolf, IEEE IT 37, 721-729 (1991).  This should improve
compression, but is probably rather slow.

I received several emails asking the status of LHA in Japan.  LHA 2.13
is still the de fact standard archiver here.  It won the first Free
Software Grand Prix of Japan last year.  Yoshi (the author of LHA) has
written several minor revisions.  I think 2.56a1 is the latest one,
This particular version tries to cope with NetWare file sharing.  But
its algorithm is the same as LHA 2.13.  Some of the previous test
versions were compiled under DOS extender with larger dictionary
sizes.  They were very very slow.

It's high time Yoshi rewrote his archiver, but he's too busy (and so
am I).  We need your help.

                     Haruhiko Okumura ([email-masked])
              Matsusaka University, 1846 Kubo-cho, Matsusaka 515 Japan